<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.4"/>
<title>Framework: src Directory Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.4 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('dir_14322d8f9963df076805e1ecc5d2eb4a.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">src Directory Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="files"></a>
Files</h2></td></tr>
<tr class="memitem:_box_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_box_8h.html">Box.h</a> <a href="_box_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_box_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract class to display a box on the ground station. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_check_box_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_check_box_8h.html">CheckBox.h</a> <a href="_check_box_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_check_box_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class displaying a <a class="elRef" target="_blank" doxygen="/home/guillaume/igep/uav_dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qcheckbox.html">QCheckBox</a> on the ground station. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_combo_box_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_combo_box_8h.html">ComboBox.h</a> <a href="_combo_box_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_combo_box_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class displaying a <a class="elRef" target="_blank" doxygen="/home/guillaume/igep/uav_dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qcombobox.html">QComboBox</a> on the ground station. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_condition_variable_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_condition_variable_8h.html">ConditionVariable.h</a> <a href="_condition_variable_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_condition_variable_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining a condition variable. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:cvimage_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="cvimage_8h.html">cvimage.h</a> <a href="cvimage_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:cvimage_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining an image of kind IplImage. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:cvmatrix_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="cvmatrix_8h.html">cvmatrix.h</a> <a href="cvmatrix_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:cvmatrix_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining a matrix of kind CvMat. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:cvmatrix__descriptor_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="cvmatrix__descriptor_8h.html">cvmatrix_descriptor.h</a> <a href="cvmatrix__descriptor_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:cvmatrix__descriptor_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class describing cvmatrix elements, for log and graphs purpose. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_data_plot_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_data_plot_8h.html">DataPlot.h</a> <a href="_data_plot_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_data_plot_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract class to display plots on ground station. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_data_plot1_d_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_data_plot1_d_8h.html">DataPlot1D.h</a> <a href="_data_plot1_d_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_data_plot1_d_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class displaying a 1D plot on the ground station. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_data_plot2_d_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_data_plot2_d_8h.html">DataPlot2D.h</a> <a href="_data_plot2_d_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_data_plot2_d_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class displaying a 2D plot on the ground station. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_double_spin_box_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_double_spin_box_8h.html">DoubleSpinBox.h</a> <a href="_double_spin_box_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_double_spin_box_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class displaying a <a class="elRef" target="_blank" doxygen="/home/guillaume/igep/uav_dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qdoublespinbox.html">QDoubleSpinBox</a> on the ground station. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_euler_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_euler_8h.html">Euler.h</a> <a href="_euler_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_euler_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining euler angles. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_framework_manager_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_framework_manager_8h.html">FrameworkManager.h</a> <a href="_framework_manager_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_framework_manager_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Main class of the Framework library. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_geo_coordinate_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_geo_coordinate_8h.html">GeoCoordinate.h</a> <a href="_geo_coordinate_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_geo_coordinate_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining a point by its lla coordinates. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_grid_layout_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_grid_layout_8h.html">GridLayout.h</a> <a href="_grid_layout_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_grid_layout_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class displaying a <a class="elRef" target="_blank" doxygen="/home/guillaume/igep/uav_dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qgridlayout.html">QGridLayout</a> on the ground station. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_group_box_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_group_box_8h.html">GroupBox.h</a> <a href="_group_box_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_group_box_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class displaying a <a class="elRef" target="_blank" doxygen="/home/guillaume/igep/uav_dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qgroupbox.html">QGroupBox</a> on the ground station. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_i2c_port_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_i2c_port_8h.html">I2cPort.h</a> <a href="_i2c_port_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_i2c_port_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Base class for i2c port. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_imu_data_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_imu_data_8h.html">ImuData.h</a> <a href="_imu_data_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_imu_data_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining IMU datas. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:io__data_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="io__data_8h.html">io_data.h</a> <a href="io__data_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:io__data_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract class for data types. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_i_o_device_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_i_o_device_8h.html">IODevice.h</a> <a href="_i_o_device_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_i_o_device_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract class for input/ouput system. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_label_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_label_8h.html">Label.h</a> <a href="_label_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_label_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class displaying a <a class="elRef" target="_blank" doxygen="/home/guillaume/igep/uav_dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qlabel.html">QLabel</a> on the ground station. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_layout_item_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_layout_item_8h.html">LayoutItem.h</a> <a href="_layout_item_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_layout_item_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract class to display a layout on the ground station. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_map_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_map_8h.html">Map.h</a> <a href="_map_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_map_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class displaying a GPS map on the ground station. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_mutex_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_mutex_8h.html">Mutex.h</a> <a href="_mutex_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_mutex_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining a mutex. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_object_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_object_8h.html">Object.h</a> <a href="_object_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_object_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Base class for all Framework's classes. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_one_axe_rotation_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_one_axe_rotation_8h.html">OneAxeRotation.h</a> <a href="_one_axe_rotation_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_one_axe_rotation_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining a rotation around one axis. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_picture_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_picture_8h.html">Picture.h</a> <a href="_picture_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_picture_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class displaying a Picture on the ground station. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_point2_d_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_point2_d_8h.html">Point2D.h</a> <a href="_point2_d_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_point2_d_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining a 2D point. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_point3_d_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_point3_d_8h.html">Point3D.h</a> <a href="_point3_d_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_point3_d_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining a 2D point. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_push_button_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_push_button_8h.html">PushButton.h</a> <a href="_push_button_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_push_button_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class displaying a <a class="elRef" target="_blank" doxygen="/home/guillaume/igep/uav_dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qpushbutton.html">QPushButton</a> on the ground station. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_r_t_d_m___i2c_port_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_r_t_d_m___i2c_port_8h.html">RTDM_I2cPort.h</a> <a href="_r_t_d_m___i2c_port_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_r_t_d_m___i2c_port_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for real time i2c port using RTDM. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_r_t_d_m___serial_port_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_r_t_d_m___serial_port_8h.html">RTDM_SerialPort.h</a> <a href="_r_t_d_m___serial_port_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_r_t_d_m___serial_port_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for real time serial port using RTDM. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_send_data_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_send_data_8h.html">SendData.h</a> <a href="_send_data_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_send_data_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract class for sending datas to ground station. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_serial_port_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_serial_port_8h.html">SerialPort.h</a> <a href="_serial_port_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_serial_port_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Base class for serial port. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_shared_mem_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_shared_mem_8h.html">SharedMem.h</a> <a href="_shared_mem_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_shared_mem_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining a shared memory. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_socket_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_socket_8h.html">Socket.h</a> <a href="_socket_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_socket_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining a UDP socket. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_spin_box_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_spin_box_8h.html">SpinBox.h</a> <a href="_spin_box_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_spin_box_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class displaying a <a class="elRef" target="_blank" doxygen="/home/guillaume/igep/uav_dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qspinbox.html">QSpinBox</a> on the ground station. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_tab_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_tab_8h.html">Tab.h</a> <a href="_tab_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_tab_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class displaying a QTab on the ground station. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_tab_widget_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_tab_widget_8h.html">TabWidget.h</a> <a href="_tab_widget_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_tab_widget_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class displaying a <a class="elRef" target="_blank" doxygen="/home/guillaume/igep/uav_dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qtabwidget.html">QTabWidget</a> on the ground station. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_text_edit_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_text_edit_8h.html">TextEdit.h</a> <a href="_text_edit_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_text_edit_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class displaying a <a class="elRef" target="_blank" doxygen="/home/guillaume/igep/uav_dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qtextedit.html">QTextEdit</a> on the ground station. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_thread_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_thread_8h.html">Thread.h</a> <a href="_thread_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_thread_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract class for a thread. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_unix___serial_port_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_unix___serial_port_8h.html">Unix_SerialPort.h</a> <a href="_unix___serial_port_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_unix___serial_port_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for unix serial port. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_widget_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_widget_8h.html">Widget.h</a> <a href="_widget_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_widget_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract class for all Framework's widget classes. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_5d36942bc0b8b7535ca1debdbb2dea17.html">igep</a></li><li class="navelem"><a class="el" href="dir_4058784a9b3b5a1af08fe490f3cc2295.html">uav_lib</a></li><li class="navelem"><a class="el" href="dir_397df358b18bb3cbe19e4fcbd91928fa.html">framework</a></li><li class="navelem"><a class="el" href="dir_0fdd2f49707e39c6811484086169e2d0.html">Framework</a></li><li class="navelem"><a class="el" href="dir_14322d8f9963df076805e1ecc5d2eb4a.html">src</a></li>
    <li class="footer">Generated on Mon May 19 2014 08:12:47 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.4 </li>
  </ul>
</div>
</body>
</html>
